services:
  app1:
    build: ./sigma_app_1/
    volumes:
      # Создание папки /var/data внутри контейнера
      # И копирование файлов из ./files в эту папку
      - ./files:/var/data
      # Создание папки /var/result внутри контейнера
      # А также папки result внутри директории докера 
      - result:/var/result
  app2:
    build: ./skibidi_app_2/
    # Указано, что пока не запуститься app1, app2 не запустится
    # Он ЗАВИСИТ от app1 (depends on (с англ.) - зависит от)
    depends_on:
      - app1
    volumes:
      - result:/var/result
volumes:
  # Указывается, что будет создана папка result 
  # внутри директории докера
  result: